%global momorel 1
%global md5sum_src0 ae9bb1c4b22e396fd7ce84ee3e13cb86 

Summary: Open source RenderMan-compliant 3D rendering solution
Name: aqsis
Version: 1.2.0
Release: %{momorel}m%{?dist}
License: GPL
URL: http://www.aqsis.org/
Group: Applications/Multimedia
%NoSource 0 http://download.aqsis.org/stable/source/tar/%{name}-%{version}.tar.gz %{md5sum_src0}
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: bison
BuildRequires: boost-devel
BuildRequires: flex
BuildRequires: fltk-devel
BuildRequires: libjpeg-devel
BuildRequires: libtiff-devel
BuildRequires: libxslt
BuildRequires: OpenEXR-devel
BuildRequires: zlib-devel
BuildRequires: scons

%description
Aqsis is a cross-platform photorealistic 3D rendering solution, based 
on the RenderMan interface standard defined by Pixar Animation Studios.

This package contains a command-line renderer, a shader compiler for shaders 
written using the RenderMan shading language, a texture pre-processor for 
optimizing textures and a RIB processor.

%package devel
Summary: Development files for Aqsis
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Aqsis is a cross-platform photorealistic 3D rendering solution, based 
on the RenderMan interface standard defined by Pixar Animation Studios.

This package contains various developer libraries to enable integration with 
third-party applications.

%prep
%setup -q

# wrong-script-end-of-line-encoding
sed -i 's/\r//' thirdparty/dbo_plane/dbo_plane.c
sed -i 's/\r//' thirdparty/dbo_plane/implicit.h
# script-without-shebang
find shadercompiler/slparse texturing/plugins/png2tif displays thirdparty/dbo_plane aqsistypes rib -type f -name \* -exec chmod 644 {} \;

%build
## Do not Enable pdiff=yes Because it will conflict with Printdiff :
## /usr/bin/pdiff  from package	a2ps
export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"
scons %{?_smp_mflags} \
		destdir=%{buildroot} \
		install_prefix=%{_prefix} \
		sysconfdir=%{_sysconfdir}/%{name} \
		libdir=%{_libdir} \
		tiff_lib_path=%{_libdir} \
		jpeg_lib_path=%{_libdir} \
		zlib_lib_path=%{_libdir} \
		fltk_lib_path=%{_libdir} \
		exr_lib_path=%{_libdir} \
		no_rpath=true \
		build
%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"
scons install

chmod a+rx %{buildroot}%{_datadir}/%{name}/scripts/mpanalyse.py
chmod a+rx %{buildroot}%{_datadir}/%{name}/content/ribs/scenes/vase/render.sh
chmod a+rx %{buildroot}%{_datadir}/%{name}/content/ribs/features/layeredshaders/render.sh

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL README ReleaseNotes
## Do not use noreplace with aqsis release
## This may definitly change in future releases.
%dir %{_sysconfdir}/aqsis
%config %{_sysconfdir}/aqsis/aqsisrc
%{_bindir}/aqsis
%{_bindir}/aqsl
%{_bindir}/aqsltell
%{_bindir}/miqser
%{_bindir}/teqser
%{_libdir}/aqsis
%{_libdir}/lib*.so.*
%{_datadir}/aqsis

%files devel
%defattr(-,root,root)
%{_includedir}/aqsis
%{_libdir}/lib*.so

%changelog
* Wed Mar  7 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.0-1m)
- initial package for k3d-0.6.6.0
